/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebColumnDescription } from "./WebColumnDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebColumnGroupDescription = /*@__PURE__*/ (() => {
    class WebColumnGroupDescription extends WebColumnDescription {
        constructor() {
            super();
            this.cy = null;
            this.c2 = null;
        }
        get_type() {
            return "WebColumnGroup";
        }
        get children() {
            return this.cy;
        }
        set children(a) {
            this.cy = a;
            this.g("Children");
        }
        get collapsibleIndicatorTemplateRef() {
            return this.c2;
        }
        set collapsibleIndicatorTemplateRef(a) {
            this.c2 = a;
            this.g("CollapsibleIndicatorTemplateRef");
        }
    }
    WebColumnGroupDescription.$t = markType(WebColumnGroupDescription, 'WebColumnGroupDescription', WebColumnDescription.$);
    WebColumnGroupDescription.__canMarshalByValue1 = true;
    WebColumnGroupDescription.__marshalByValueAlias1 = "ColumnGroup";
    return WebColumnGroupDescription;
})();
